Homarr
Build dashboards

Save dashboard content

PUT/api/boards/{id}/content

Save the editor's complete sections and items arrays, including widget options and placements. Omitted items and sections are removed. Placements must fit their parent section's columns in each layout. Requires modify access; Custom Widget placement changes require admin access.

ApiKey<token>

API key which can be obtained in the Homarr administration dashboard

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/boards/string/content" \  -H "Content-Type: application/json" \  -d '{    "sections": [      {        "id": "string",        "kind": "empty",        "yOffset": -9007199254740991,        "xOffset": -9007199254740991      }    ],    "items": [      {        "kind": "stats",        "options": {          "property1": null,          "property2": null        },        "id": "string",        "layouts": [          {            "layoutId": "string",            "yOffset": 0,            "xOffset": 0,            "width": 1,            "height": 1,            "sectionId": "string"          }        ],        "integrationIds": [          "string"        ],        "advancedOptions": {}      }    ]  }'
null